﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.ApplicationModel.Activation;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

namespace KTour.Views
{
    /// <summary>
    /// This page displays search results when a global search is directed to this application.
    /// </summary>
    public sealed partial class SearchResultView : KTour.Common.LayoutAwarePage
    {
        /// <summary>
        /// 뷰모델
        /// </summary>
        public KTour.ViewModels.SearchResultViewModel ViewModel
        {
            get { return this.DataContext as KTour.ViewModels.SearchResultViewModel; }
            set
            {
                this.DataContext = value;
            }
        }

        /// <summary>
        /// 생성자
        /// </summary>
        public SearchResultView()
        {
            this.InitializeComponent();
            if (!Windows.ApplicationModel.DesignMode.DesignModeEnabled)
            {
                var locator = App.Current.Resources["Locator"] as KTour.ViewModels.ViewModelLocator;
                ViewModel = locator.SearchResultVM;
                resultsGridView.IsItemClickEnabled = true;
                resultsGridView.ItemClick += 
                    (s, e) => 
                    {
                        ViewModel.ItemClick(e.ClickedItem);
                    };
            }
        }

        protected override void LoadState(Object navigationParameter, Dictionary<String, Object> pageState)
        {
            var queryText = navigationParameter as string;
            if (queryText != null)
            {
                ViewModel.AddFilter(queryText);
            }
        }
    }
}
